   function [x,y,z]=mali2(OMD,N,GRAPH)
 %
 % function [x,y,z]=mali2(OMD,N,GRAPH)
 % Aliasing Problem Signal decomposition and reconstruction by DFT
 %
 % OMD- digital frequencies	 x,y,z	- output signals
 % N  - number of values
 % GRAPH - graph display
 %	    (for GRAPH=1)
 %
   if exist('N')==0                      % Default values
     N=10; NS=20; OMD(1)=0.2*pi; OMD(2)=1.8*pi; OMD(3)=2.2*pi; GRAPH=1; end
 %
 % Continuous signals
 %
   ta=[0:1/NS:N-1];
   x=cos(OMD(1)*ta); y=cos(OMD(2)*ta); z=cos(OMD(3)*ta);
 %
 % Digital signal
 %
   n=[0:N-1]; % TD=[T; T];
   xd=cos(OMD(1)*n);
 %
   if GRAPH~=1, return, end		% Result display
 %
   delete(get(0,'children'))  
   figure('name','MALI2','units','normal','position',[0.29,0.01,0.7,0.8]); 

   subplot(212)
     plot(ta,x,'-k','LineWidth',2); hold on
     plot(ta,y,'--k',ta,z,':k');
     stem(n,xd,'MarkerSize',6,'Color','k','LineWidth',2); grid on
     hold off
     axis([0 9 -1.1 1.1]);
     xlabel('Time');
     title('DISCRETE AND CONTINUOUS SIGNALS');
