   function [DFTX]=mf0(GRAPH)
 %
 % function [DFTX]=mf0(GRAPH)
 % DFT of a given sequence
 %
 % DFTX	- DFT of the given sequence
 % GRAPH - graph display (for GRAPH=1)
 %
   if exist('GRAPH')==0                 % Default values
     N=9; GRAPH=1; end
     k=1:N-1; n=0:N-1; n1=0:3*N-1;
     f=[0:N-1]*2*pi/N;
 %
 % Signal definition
 %
   x=[ones(1,3),zeros(1,6)]; xn=[x,zeros(1,2*N)];  % Original signal
   xp=[x,x,x];					  % Periodic signal
 %

 % DFT evaluation
 %
   X=[1,exp(-j*k*pi/9).*sin(k*pi/3)./sin(k*pi/9)];
 %
   if GRAPH~=1, return, end	    % Result display
 %
   delete(get(0,'children'))  
   figure('name','MF0','units','normal','position',[0.29,0.01,0.7,0.8]);  
 
   subplot(221);
      stem(n,x,'MarkerSize',3,'Color','k'); grid on
      axis([-1 27 0 1.5]);
      xlabel('Index');
      title('GIVEN SEQUENCE')

   subplot(223);
      stem(n1,xp,'MarkerSize',3,'Color','k'); grid on
      axis([-1 27 0 1.5]);
      xlabel('Index'); 
      title('PERIODIC EXTENDED SEQUENCE')

   subplot(222);
      stem(f,real(X),'MarkerSize',3,'Color','k'); grid on
      axis([0 2*pi -3 3]);
      xlabel('Frequency');
      title('REAL PART OF THE DFT')

   subplot(224); 
      stem(f,imag(X),'MarkerSize',3,'Color','k'); grid on
      axis([0 2*pi -2 2]);
      xlabel('Frequency');
      title('IMAGINARY PART OF THE DFT') 
