   function [X]=mf2(A,N,GRAPH)
 %
 % function [X]=mf2(A,N,GRAPH)
 % DFT of exponential sequence
 %
 % A - exponential constant	X - DFT of the exponential sequence
 % N - number of values		GRAPH - graph display (for GRAPH=1)
 %
   if exist('N')==0                 % Default values
     A=0.8; N=24; GRAPH=1; end
 %
 % Z-domain definition
 %
   k=0:N-1;
   om=k*2*pi/N;
   z=exp(j*om);
 %
 % DFT evaluation based upon frequency function definition
 %
   b=[1,zeros(1,N-1),-A^N];
   a=[1,-A,zeros(1,N-1)];
   [h,w]=freqz(b,a,N,'whole');
 %
   if GRAPH~=1, return, end	    % Result display
 %
   delete(get(0,'children'))  
   figure('name','Mf2','units','normal','position',[0.29,0.01,0.7,0.8]); 
  
   axes('Position',[0.01 0.05 0.5 0.5]);
%    axes('position',[0.08 0.23 0.41 0.58],'xtick',[],'ytick',[],'box','on');
     polar(angle(z), abs(z),'o'); grid on;    
     title('COMPLEX PLANE');
      
   axes('Position',[0.53 0.35 0.45 0.22]); 
      stem(w,real(h),'MarkerSize',3,'Color','k'); grid on
      axis([0 2*pi 0 6]);
      title('REAL PART OF THE DFT');

   axes('Position',[0.53 0.06 0.45 0.22]);
      stem(w,imag(h),'MarkerSize',3,'Color','k'); grid on
      axis([0 2*pi -pi pi]);
      xlabel('Frequency'); 
      title('IMAGINARY PART OF THE DFT');
  