   function [X]=miz(L,GRAPH)
 %
 % function [X]=miz(L,GRAPH)
 % Inverse Z-transform evaluation
 %
 % L  - number of values 	 X  - reconstructed sequence
 % GRAPH - graph display
 %	    (for GRAPH=1)
 %
   if exist('L')==0                      % Default values
     L=8; GRAPH=1; end
 %
 % Transfer function definition
 %
   b=[0 0.3 0]; d=[b, zeros(1,L)];
   a=[1 -0.7 0.1];
 %
 % Polynomial division
 %
   [x,r]=deconv(d,a);
   dx=length(x); dr=length(r);
 %
   if GRAPH~=1, return, end		% Result display
 %
   delete(get(0,'children'))  
   figure('name','MIZ','units','normal','position',[0.29,0.01,0.7,0.8]);  

   subplot(223)
      stem(x,'MarkerSize',3,'Color','k'); grid on
      xlabel('Index'); 
      title('ORIGINAL SEQUENCE');

   subplot(224)  
      stem(r,'MarkerSize',3,'Color','k'); grid on
      xlabel('Index');
      title('RESIDUUM');
  