   function [MT]=mt(N,GRAPH)
 %
 % function [MT]=mt(N,GRAPH)
 % Frequency response evaluation
 %
 %				MT - matrix of frequency response
 % N - number of values		GRAPH - graph display (for GRAPH=1)
 %
   if exist('N')==0                 % Default values
    N=30; GRAPH=1; end
 %
 % Z-transform evaluation
 %
   [REZ,IMZ]=meshgrid(-1.1:0.1:1.1,-1.1:0.1:1.1);
   Z=(REZ+j*IMZ);
   H=0.2*(Z+1)./(Z.^2-Z+0.5);
   L=(abs(Z)>0.95 & abs(Z)<1.05) + isinf(H);
   for i=1:23
     if sum(isinf(H(i,:)))>0
       H(i,isinf(H(i,:)))=0*ones(1,sum(isinf(H(i,:))));
     end
   end
   M=abs(H); MT=M.*L;
 %
 % Frequency response evaluation
 %
   b=0.2*[0 1 1];
   a=[1 -1 0.5];
   [h,w]=freqz(b,a,64);
 %
   if GRAPH~=1, return, end	    % Result display
 %
   delete(get(0,'children'))  
   figure('name','MT','units','normal','position',[0.29,0.01,0.7,0.8]);  

   axes('position',[0.04 0.1 0.44 0.85],'xtick',[],'ytick',[],'box','on')
      title('AMPLITUDE FREQUENCY RESPONSE')
   axes('position',[0.1 0.2 0.35 0.65]);
      mesh(real(Z),imag(Z),MT); grid on; 
         xlabel('Real(z)'); ylabel('Imag(z)'); 
      axis([-inf +inf -inf +inf -inf 1.2]);
        
   axes('position',[0.55 0.6 0.4 0.35]); 
      plot(w,abs(h),'-o'); grid on;
      axis([0 pi 0 1.5]);
      xlabel('Frequency');
      title('AMPLITUDE FREQUENCY RESPONSE');
   
   axes('position',[0.55 0.1 0.4 0.35]);
      plot(w,angle(h),'-o'); grid on;
      axis([0 pi -pi pi]);
      xlabel('Frequency');
      title('PHASE FREQUENCY RESPONSE');
