   function [MX]=mz(A,N,GRAPH)
 %
 % function [MX]=mz(A,N,GRAPH)
 % Z-transform of exponential sequence
 %
 % A - exponential constant	MX - matrix of modules of Z-transform
 % N - number of values		GRAPH - graph display (for GRAPH=1)
 %
   if exist('N')==0                 % Default values
     A=0.8; N=30; GRAPH=1;
     n=0:N; end
 %
 % Signal definition
 %
   x=A.^n;
 % 
 % Z-transform evaluation
 %
   [REZ,IMZ]=meshgrid(-1.1:0.1:1.1,-1.1:0.1:1.1);
   Z=(REZ+j*IMZ);
   M=abs(Z./(Z-A)); L=abs(Z)>1.05*A; MX=M.*L;
 %
   if GRAPH~=1, return, end	    % Result display
 %
   delete(get(0,'children'))  
   figure('name','MZ','units','normal','position',[0.29,0.01,0.7,0.8]);  
 
   axes('position',[0.1 0.04 0.38 0.9])
      stem(n,x,'MarkerSize',3,'Color','k'); grid on
      xlabel('Index');
      title('EXPONENTIAL SEQUENCE')
  
   axes('position',[0.54 0.04 0.40 0.9],'xtick',[],'ytick',[],'box','on')
      title('ABSOLUTE VALUE OF Z-TRANSFORM');
   axes('position',[0.6 0.1 0.30 0.8]);
      mesh(real(Z),imag(Z),MX); grid on; colormap([0 0 0])
      axis([-inf +inf -inf +inf -inf 8]);  
      xlabel('Real(z)'); ylabel('Imag(z)'); 